Loading...
Searching...
No Matches
display::DisplayControl Interface Reference

Interface to control the device's front panel display. More...

## Classes

struct | DefaultViewItem
| Representation of a possible default view. More...
struct | Info
| Collected display meta information. More...
struct | Settings
struct | SettingsChangedEvent
| Event: Settings were changed. More...

## Public Member Functions

vector< DefaultViewItem > | getAvailableDefaultViews ()
| Get available default views. More...
Settings | getSettings ()
| Get the current settings. More...
int | setSettings (in Settings settings)
| Update the settings. More...
Info | getInfo ()
| Retrieve display's meta information. More...
void | showSmiley (in boolean on, in boolean happy, in string msg)
| Show smiley on display. More...

## Public Attributes

constant int | SUCCESS = 0
| Error codes. More...
constant int | ERR_INVALID_VALUE = 1
| Invalid argument.

## Detailed Description

Interface to control the device's front panel display.

## Member Function Documentation

## getAvailableDefaultViews()

vector< DefaultViewItem > display::DisplayControl::getAvailableDefaultViews | ( |  | ) |

Get available default views.

This returns all views that can be used as default views on the device display.

Returns
  Possible default views, or empty list if the default view can not be configured for the device's display

## getInfo()

Info display::DisplayControl::getInfo | ( |  | ) |

Retrieve display's meta information.

Returns
  Display information

## getSettings()

Settings display::DisplayControl::getSettings | ( |  | ) |

Get the current settings.

Returns
  settings

## setSettings()

int display::DisplayControl::setSettings | ( | in Settings | settings | ) |

Update the settings.

Parameters

  settings | Settings to be applied

Returns
  0 on success
  1 on invalid value

## showSmiley()

void display::DisplayControl::showSmiley | ( | in boolean | on,
|  | in boolean | happy,
|  | in string | msg
| ) |  |

Show smiley on display.

Parameters

  on | `true` to turn on smiley
  happy | `true` to show happy smiley,`false` to show sad smiley
  msg | String for message

## Member Data Documentation

## SUCCESS

constant int display::DisplayControl::SUCCESS = 0

Error codes.

No error

The documentation for this interface was generated from the following file:

- DisplayControl.idl